DECLARE_CLASS("mpi/CartParms", cartparms_class)
DECLARE_CLASS("mpi/Comm", comm_class)
DECLARE_CLASS("mpi/Datatype", datatype_class)
DECLARE_CLASS("mpi/Errhandler", errhandler_class)
DECLARE_CLASS("mpi/GraphParms", graphparms_class)
DECLARE_CLASS("mpi/Group", group_class)
DECLARE_CLASS("mpi/Op", op_class)
DECLARE_CLASS("mpi/Request", request_class)
DECLARE_CLASS("mpi/ShiftParms", shiftparms_class)
DECLARE_CLASS("mpi/Status", status_class)
DECLARE_FIELD_ID(cartparms_class, "coords", "[I", coordsID)
DECLARE_FIELD_ID(cartparms_class, "dims", "[I", dimsID)
DECLARE_FIELD_ID(cartparms_class, "periods", "[Z", periodsID)
DECLARE_FIELD_ID(comm_class, "handle", "J", CommhandleID)
DECLARE_FIELD_ID(datatype_class, "baseSize", "I", DatatypebaseSizeID)
DECLARE_FIELD_ID(datatype_class, "baseType", "I", DatatypebaseTypeID)
DECLARE_FIELD_ID(datatype_class, "handle", "J", DatatypehandleID)
DECLARE_FIELD_ID(errhandler_class, "handle", "J", ErrhandleID)
DECLARE_FIELD_ID(graphparms_class, "edges", "[I", edgesID)
DECLARE_FIELD_ID(graphparms_class, "index", "[I", graphindexID)
DECLARE_FIELD_ID(group_class, "handle", "J", GrouphandleID)
DECLARE_FIELD_ID(op_class, "handle", "J", OphandleID)
DECLARE_FIELD_ID(request_class, "CbufHandle", "J", reqbufhandleID)
DECLARE_FIELD_ID(request_class, "commBuf", "Ljava/lang/Object;", reqbufID)
DECLARE_FIELD_ID(request_class, "commCount", "I", reqcountID)
DECLARE_FIELD_ID(request_class, "commOffset", "I", reqoffsetID)
DECLARE_FIELD_ID(request_class, "commType", "Lmpi/Datatype;", reqtypeID)
DECLARE_FIELD_ID(request_class, "handle", "J", reqhandleID)
DECLARE_FIELD_ID(request_class, "releaseCbufWhenDone", "I", reqrelbufID)
DECLARE_FIELD_ID(shiftparms_class, "rank_dest", "I", rdID)
DECLARE_FIELD_ID(shiftparms_class, "rank_source", "I", rsID)
DECLARE_FIELD_ID(status_class, "count", "I", countID)
DECLARE_FIELD_ID(status_class, "handle", "J", stathandleID)
DECLARE_FIELD_ID(status_class, "index", "I", indexID)
DECLARE_FIELD_ID(status_class, "source", "I", sourceID)
DECLARE_FIELD_ID(status_class, "tag", "I", tagID)
DECLARE_METHOD_ID(cartparms_class, "<init>", "()V", handleConstructorID)
DECLARE_METHOD_ID(graphparms_class, "<init>", "()V", graphConstructorID)
DECLARE_METHOD_ID(shiftparms_class, "<init>", "()V", shiftparmsConstructorID)
DECLARE_METHOD_ID(status_class, "<init>", "()V", statusConstructorID)
